col = {}

--Check collision via AABB
function CheckCollision(x1,y1,w1,h1, x2,y2,w2,h2) -- Here we check if certain area transpass another area
  return x1 < x2+w2 and
         x2 < x1+w1 and
         y1 < y2+h2 and
         y2 < y1+h1
end

-- Add collision per pixel
function add_col(im, colors, step)
  local imd = im:getData()
  local imw, imh = im:getDimensions()
  -- Loop through all the image pixels
  for i=0, imh-1, step do
    for j=0, imw-1, step do
      local r, g, b, a = imd:getPixel(j, i)
      if r >= colors[1]-10 and g >= colors[2]-10 and b >= colors[3]-10 and a >= colors[3]-10 then
        -- Every pixels that matches the given color is stored ate the cols table
        table.insert(col, {x=j, y=i})
      end
    end
  end
end